dnl aclocal.m4 generated automatically by aclocal 1.4

dnl Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
dnl This file is free software; the Free Software Foundation
dnl gives unlimited permission to copy and/or distribute it,
dnl with or without modifications, as long as this notice is preserved.

dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY, to the extent permitted by law; without
dnl even the implied warranty of MERCHANTABILITY or FITNESS FOR A
dnl PARTICULAR PURPOSE.

# Do all the work for Automake.  This macro actually does too much --
# some checks are only needed if your package does certain things.
# But this isn't really a big deal.

# serial 1

dnl Usage:
dnl AM_INIT_AUTOMAKE(package,version, [no-define])

AC_DEFUN(AM_INIT_AUTOMAKE,
[AC_REQUIRE([AC_PROG_INSTALL])
PACKAGE=[$1]
AC_SUBST(PACKAGE)
VERSION=[$2]
AC_SUBST(VERSION)
dnl test to see if srcdir already configured
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
  AC_MSG_ERROR([source directory already configured; run "make distclean" there first])
fi
ifelse([$3],,
AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Name of package])
AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Version number of package]))
AC_REQUIRE([AM_SANITY_CHECK])
AC_REQUIRE([AC_ARG_PROGRAM])
dnl FIXME This is truly gross.
missing_dir=`cd $ac_aux_dir && pwd`
AM_MISSING_PROG(ACLOCAL, aclocal, $missing_dir)
AM_MISSING_PROG(AUTOCONF, autoconf, $missing_dir)
AM_MISSING_PROG(AUTOMAKE, automake, $missing_dir)
AM_MISSING_PROG(AUTOHEADER, autoheader, $missing_dir)
AM_MISSING_PROG(MAKEINFO, makeinfo, $missing_dir)
AC_REQUIRE([AC_PROG_MAKE_SET])])

#
# Check to make sure that the build environment is sane.
#

AC_DEFUN(AM_SANITY_CHECK,
[AC_MSG_CHECKING([whether build environment is sane])
# Just in case
sleep 1
echo timestamp > conftestfile
# Do `set' in a subshell so we don't clobber the current shell's
# arguments.  Must try -L first in case configure is actually a
# symlink; some systems play weird games with the mod time of symlinks
# (eg FreeBSD returns the mod time of the symlink's containing
# directory).
if (
   set X `ls -Lt $srcdir/configure conftestfile 2> /dev/null`
   if test "[$]*" = "X"; then
      # -L didn't work.
      set X `ls -t $srcdir/configure conftestfile`
   fi
   if test "[$]*" != "X $srcdir/configure conftestfile" \
      && test "[$]*" != "X conftestfile $srcdir/configure"; then

      # If neither matched, then we have a broken ls.  This can happen
      # if, for instance, CONFIG_SHELL is bash and it inherits a
      # broken ls alias from the environment.  This has actually
      # happened.  Such a system could not be considered "sane".
      AC_MSG_ERROR([ls -t appears to fail.  Make sure there is not a broken
alias in your environment])
   fi

   test "[$]2" = conftestfile
   )
then
   # Ok.
   :
else
   AC_MSG_ERROR([newly created file is older than distributed files!
Check your system clock])
fi
rm -f conftest*
AC_MSG_RESULT(yes)])

dnl AM_MISSING_PROG(NAME, PROGRAM, DIRECTORY)
dnl The program must properly implement --version.
AC_DEFUN(AM_MISSING_PROG,
[AC_MSG_CHECKING(for working $2)
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf.  Sigh.
if ($2 --version) < /dev/null > /dev/null 2>&1; then
   $1=$2
   AC_MSG_RESULT(found)
else
   $1="$3/missing $2"
   AC_MSG_RESULT(missing)
fi
AC_SUBST($1)])

# Like AC_CONFIG_HEADER, but automatically create stamp file.

AC_DEFUN(AM_CONFIG_HEADER,
[AC_PREREQ([2.12])
AC_CONFIG_HEADER([$1])
dnl When config.status generates a header, we must update the stamp-h file.
dnl This file resides in the same directory as the config header
dnl that is generated.  We must strip everything past the first ":",
dnl and everything past the last "/".
AC_OUTPUT_COMMANDS(changequote(<<,>>)dnl
ifelse(patsubst(<<$1>>, <<[^ ]>>, <<>>), <<>>,
<<test -z "<<$>>CONFIG_HEADERS" || echo timestamp > patsubst(<<$1>>, <<^\([^:]*/\)?.*>>, <<\1>>)stamp-h<<>>dnl>>,
<<am_indx=1
for am_file in <<$1>>; do
  case " <<$>>CONFIG_HEADERS " in
  *" <<$>>am_file "*<<)>>
    echo timestamp > `echo <<$>>am_file | sed -e 's%:.*%%' -e 's%[^/]*$%%'`stamp-h$am_indx
    ;;
  esac
  am_indx=`expr "<<$>>am_indx" + 1`
done<<>>dnl>>)
changequote([,]))])

# Add --enable-maintainer-mode option to configure.
# From Jim Meyering

# serial 1

AC_DEFUN(AM_MAINTAINER_MODE,
[AC_MSG_CHECKING([whether to enable maintainer-specific portions of Makefiles])
  dnl maintainer-mode is disabled by default
  AC_ARG_ENABLE(maintainer-mode,
[  --enable-maintainer-mode enable make rules and dependencies not useful
                          (and sometimes confusing) to the casual installer],
      USE_MAINTAINER_MODE=$enableval,
      USE_MAINTAINER_MODE=no)
  AC_MSG_RESULT($USE_MAINTAINER_MODE)
  AM_CONDITIONAL(MAINTAINER_MODE, test $USE_MAINTAINER_MODE = yes)
  MAINT=$MAINTAINER_MODE_TRUE
  AC_SUBST(MAINT)dnl
]
)

# Define a conditional.

AC_DEFUN(AM_CONDITIONAL,
[AC_SUBST($1_TRUE)
AC_SUBST($1_FALSE)
if $2; then
  $1_TRUE=
  $1_FALSE='#'
else
  $1_TRUE='#'
  $1_FALSE=
fi])

dnl
dnl Check for valid Python setup
dnl This file falls under the license distributed with the mod_snake
dnl distribution.  See ../COPYING for more details.
dnl

dnl Get all of the link flags for linking with python
AC_DEFUN(AC_CHECK_PYTHON, [
    
dnl Use a user-specified Python, if they provide one.
AC_MSG_CHECKING(for user specified Python binary)
AC_ARG_WITH(python,
[  --with-python=pythonbin   pythonbin is the Python binary of the version
                             that mod_snake should be built against.],
[
    python_bin="$withval"
    AC_MSG_RESULT([Yes, $python_bin])
],[
    python_bin="python"
    AC_MSG_RESULT([No, using default])
])

PYTHON_BIN="$python_bin"
av_python_libs=""
AC_MSG_CHECKING(for Python)

py_version=[`$python_bin -c 'import sys; print sys.version[:3]'`]
if test $? != 0; then
	AC_MSG_ERROR(not found!)
fi
AC_MSG_RESULT(Python version $py_version found!)

AC_MSG_CHECKING(for Python base path)
py_basedir=[`$python_bin -c 'import sys; print sys.exec_prefix'`]
py_libdir=$py_basedir/lib/python${py_version}/config
py_mfile=$py_libdir/Makefile
if test ! -e "$py_mfile"; then
	AC_MSG_ERROR(not found)
fi;
AC_MSG_RESULT($py_libdir)

AC_EXC_MAKEVAR($py_mfile, CC,            PYTHON_CC)
AC_EXC_MAKEVAR($py_mfile, CCSHARED,      PYTHON_CCSHARED)
AC_EXC_MAKEVAR($py_mfile, CFLAGS,        PYTHON_CFLAGS)
AC_EXC_MAKEVAR($py_mfile, LDFLAGS,       PYTHON_LDFLAGS)
AC_EXC_MAKEVAR($py_mfile, LDLIBRARY,     PYTHON_LDLIBRARY)
AC_EXC_MAKEVAR($py_mfile, LDSHARED,      PYTHON_LDSHARED)
AC_EXC_MAKEVAR($py_mfile, LIBC,          PYTHON_LIBC)
AC_EXC_MAKEVAR($py_mfile, LIBM,          PYTHON_LIBM)
AC_EXC_MAKEVAR($py_mfile, LIBS,          PYTHON_LIBS)
AC_EXC_MAKEVAR($py_mfile, LINKCC,        PYTHON_LINKCC)
AC_EXC_MAKEVAR($py_mfile, LINKFORSHARED, PYTHON_LINKFORSHARED)
AC_EXC_MAKEVAR($py_mfile, MODLIBS,       PYTHON_MODLIBS)
AC_EXC_MAKEVAR($py_mfile, OPT,           PYTHON_OPT)
AC_EXC_MAKEVAR($py_mfile, SO,            PYTHON_SO)
AC_EXC_MAKEVAR($py_mfile, SYSLIBS,       PYTHON_SYSLIBS)

PYTHON_LIBDIR=${py_libdir}
PYTHON_LIB=${py_libdir}/libpython${py_version}.a
PYTHON_VERSION="$py_version"
PYTHON_BASEDIR="$py_basedir"

av_python_header="$PYTHON_BASEDIR/include/python$PYTHON_VERSION/Python.h"
AC_CHECK_HEADER([$av_python_header],
    [ CPPFLAGS="$CPPFLAGS -I$PYTHON_BASEDIR/include/python$PYTHON_VERSION"],
    [ AC_MSG_ERROR(Build inconsistancy -- cannot find $av_python_header)])

AC_SUBST(PYTHON_LIB)
AC_SUBST(PYTHON_VERSION)
AC_SUBST(PYTHON_BASEDIR)
AC_SUBST(PYTHON_LIBDIR)
AC_SUBST(PYTHON_CC)
AC_SUBST(PYTHON_CCSHARED)
AC_SUBST(PYTHON_CFLAGS)
AC_SUBST(PYTHON_LDFLAGS)
AC_SUBST(PYTHON_LDSHARED)
AC_SUBST(PYTHON_LDLIBRARY)
AC_SUBST(PYTHON_LIBC)
AC_SUBST(PYTHON_LIBM)
AC_SUBST(PYTHON_LIBS)
AC_SUBST(PYTHON_LINKCC)
AC_SUBST(PYTHON_LINKFORSHARED)
AC_SUBST(PYTHON_MODLIBS)
AC_SUBST(PYTHON_OPT)
AC_SUBST(PYTHON_SO)
AC_SUBST(PYTHON_SYSLIBS)
AC_SUBST(PYTHON_BIN)

av_python_valid=yes
],[
av_python_valid=no
],[
av_python_valid=no
])
AC_MSG_RESULT($av_python_valid)
])

dnl
dnl Extract a variable from a Makefile
dnl This file falls under the license distributed with the mod_snake
dnl distribution.  See ../COPYING for more details.
dnl

AC_DEFUN(AC_EXC_MAKEVAR, [
AC_MSG_CHECKING([for $2 in $1])
cat > conftest.make << EOF
include $1
mktest:
	@echo \$($2)
EOF
$3=`${MAKE-make} -f conftest.make mktest`
rm -f conftest.make
AC_MSG_RESULT([$$3])
])

dnl This file falls under the license distributed with the mod_snake
dnl distribution.  See ../COPYING for more details.

AC_DEFUN(AC_CHECK_APACHE,[
AC_MSG_CHECKING(for Apache include files)
AC_ARG_WITH(apache,
[  --with-apache=DIR     DIR is the path to the top-level Apache source dir ],
[
    real_withval=`cd $withval && pwd`
    searchfile="$real_withval/srclib/apr/include/apr.h"
    searchagain="$real_withval/src/os/unix/os.h"
    if test -f $searchfile; then
        APACHE_BASE="$real_withval"
	APACHE_CPPFLAGS="$CPPFLAGS -I$APACHE_BASE/include \
		         -I$APACHE_BASE/os/unix \
		         -I$APACHE_BASE/srclib/apr-util/include \
		         -I$APACHE_BASE/srclib/apr/include"
	AC_MSG_RESULT(Apache 2.0 in $APACHE_BASE)
	APACHE_VER=2.0
    elif test -f $searchagain; then
	APACHE_BASE="$real_withval"
	APACHE_CPPFLAGS="-DAPACHE13 -I$APACHE_BASE/src/include \
		         -I$APACHE_BASE/src/os/unix"
	AC_MSG_RESULT(Apache 1.3 in $APACHE_BASE)
	APACHE_VER=1.3
    else
	AC_MSG_RESULT(no - Unable to locate $searchfile or $searchagain)
    fi
],[
    AC_MSG_RESULT(no)
])

AC_MSG_CHECKING(for APXS)
AC_ARG_WITH(apxs,
[  --with-apxs=FILE	FILE is the pathname to the Apache APXS tool. ],
[
    if test "$APACHE_BASE" != ""; then
        AC_MSG_ERROR(--with-apache and --with-apxs are mutually exclusive.)
    fi
    # Adjust for relativity
    pdir=`echo $withval | sed -e 's/apxs//'`
    pdir=`cd $pdir && pwd`
    withval="$pdir/apxs"
    if test -f $withval; then
	APXS="$withval"
	APACHE_INCLUDE="`$APXS -q INCLUDEDIR`"
	if test ! -f "$APACHE_INCLUDE/apr.h"; then
	    APACHEDEF=-DAPACHE13
	    APACHE_VER=1.3
	else
	    APACHE_VER=2.0
	    APACHEAPR="-I$APACHE_INCLUDE/apr"
	fi

	APACHE_CPPFLAGS="$APACHEDEF -I$APACHE_INCLUDE $APACHEAPR"
	AC_MSG_RESULT([yes, $APACHE_VER])
    else
	AC_MSG_ERROR(no - Unable to locate $withval) 
    fi
],[
    AC_MSG_RESULT(no)
])

AC_SUBST(APACHE_CPPFLAGS)
AC_SUBST(APACHE_BASE)
AC_SUBST(APACHE_VER)
AC_SUBST(APXS)
])

