import os, server_config, sys, traceback
from testutil import *

sys.path.append(os.getcwd() + '/tests')
x = os.popen(server_config.APACHE_BINARY + ' -v', 'r').read()
print x
print 'Python version:\n' + sys.version
server_config.start_server()
print ''

for fname in os.listdir('tests'):
    if fname[-3:] != '.py': continue
    mod = __import__(fname[:-3], {}, {}, [])

    sys.stdout.write('%-20s' % fname[:-3] + ': ')
    sys.stdout.flush()
    if mod.compat == '2.0' and not server_config.APACHE_2_0:
        print 'Skipped (2.0 only)'
        continue

    try:
        for i in range(10):
            mod.test()
        print 'Success'
    except DataError:
        print 'Failure (invalid data)'
        etype, value, tb = sys.exc_info()
        traceback.print_exception(etype, value, tb)
    except StatusError:
        print 'Failure (server status)'
        etype, value, tb = sys.exc_info()
        traceback.print_exception(etype, value, tb)
    except:
        etype, value, tb = sys.exc_info()
        traceback.print_exception(etype, value, tb)

server_config.stop_server()

